Bug 1469009 - Review Request: odcs - On Demand Compose Service
Review Request: odcs - On Demand Compose Service
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-10 04:58 EDT by Jan Kaluža
Modified: 2017-07-23 04:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-23 04:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ignatenko: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2017-07-10 04:58:25 EDT
Spec URL: http://jkaluza.fedorapeople.org/odcs.spec
SRPM URL: http://jkaluza.fedorapeople.org/odcs-0.0.3-1.fc24.src.rpm
Description: The On Demand Compose Service (ODCS) creates temporary composes using Pungi tool and manages their lifetime. The composes can be requested by external services or users using the REST API provided by Flask frontend.
Fedora Account System Username: jkaluza
Comment 1 Qixiang Wan 2017-07-10 05:35:41 EDT
You may want to update some python- prefix packages as comments in https://bugzilla.redhat.com/show_bug.cgi?id=1468971. I'll check all these packages and update to you.
Comment 2 Qixiang Wan 2017-07-10 06:40:42 EDT
I had another check on the packages list, some of the python-* packages are named as python2-* from Fedora 26, since Fedora 26 is not GA yet, I think we can keep it as now and update if we find problem with Fedora 26 after GA. The only one exception is python-futures which is available with python2-futures from Fedora 24.
Comment 3 Jan Kaluža 2017-07-11 08:19:39 EDT
Updated package:

Spec URL: http://jkaluza.fedorapeople.org/odcs.spec
SRPM URL: http://jkaluza.fedorapeople.org/odcs-0.0.3-2.fc24.src.rpm
Comment 4 Igor Gnatenko 2017-07-17 03:12:36 EDT
Looks good apart from few things:

- a lot of python- prefixed packages, must be using python2- prefix if available (six, sqlalchemy, pyopenssl are definitely available in that variant)
- add `-p` flag for installing files to preserve timestamp
- BuildRequires:    git, do you really need git for building? if yes, isn't git-core sufficient?
Comment 5 Jan Kaluža 2017-07-17 04:50:38 EDT
Thanks Igor, updated package is here:

Spec URL: http://jkaluza.fedorapeople.org/odcs.spec
SRPM URL: http://jkaluza.fedorapeople.org/odcs-0.0.3-3.fc24.src.rpm
Comment 6 Igor Gnatenko 2017-07-17 05:27:26 EDT
Nothing I can complain about ;)
Comment 7 Jan Kaluža 2017-07-17 05:38:58 EDT
Thanks for the review, Igor :).
Comment 8 Gwyn Ciesla 2017-07-17 19:28:35 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/odcs

Note You need to log in before you can comment on or make changes to this bug.